# Uses of Interface
org.apache.avro.message.SchemaStore

Packages that use SchemaStore
Package
Description
org.apache.avro.message

## Uses of SchemaStore in org.apache.avro.message

Classes in org.apache.avro.message that implement SchemaStore
Modifier and Type
Class
Description
`static class`
`SchemaStore.Cache`
A map-based cache of schemas by AVRO-CRC-64 fingerprint.
Constructors in org.apache.avro.message with parameters of type SchemaStore
Modifier
Constructor
Description
``
`BinaryMessageDecoder(GenericData model, Schema readSchema, SchemaStore resolver)`
Creates a new `BinaryMessageEncoder` that uses the given `data model` to construct datum instances described by the `schema`.